[extruder]
step_pin: PD15
dir_pin: PD14
enable_pin: !PC7
microsteps: 16
rotation_distance: 23.0
nozzle_diameter: 0.600
filament_diameter: 1.750
heater_pin: PB3
sensor_type: EPCOS 100K B57560G104F
sensor_pin: PA2
control = pid
pid_kp = 20.488
pid_ki = 1.380
pid_kd = 76.062
min_temp: 0
max_temp: 250

# Set High Because of Purge Line
;max_extrude_cross_section: 2

# Set to Zero To Allow Cold Extrusion (IE: When testing stepper motors).
# min_extrude_temp: 0

pressure_advance: 0.44
max_extrude_only_distance=101

[tmc2209 extruder]
uart_pin: PC6
; tx_pin: PC10
; uart_address: 3
run_current: 0.79
stealthchop_threshold: 999999

#[tmc2209 extruder1]
#uart_pin: PD12
#run_current: 0.600
#diag_pin:
